#!/bin/sh
#
# $1 - file to print
#

prtSwitch='@@@^32PRINTER-SWITCH^@@@'
# NOTE: prtSwitch variable MUST BE the same as in main.ini file

echo -ne "\033[5i"
if [ ! -z "$2" ]; then
    echo -ne "${prtSwitch}${2}\n"
fi

gzip -c9 < "$1" | uuencode 32PRINTER
# NOTE: uuencode must have '32PRINTER' parameter (checked by prnloc.exe)

echo -ne "\033[4i"
